commit 7c184ac708535c808df04a8ec074c934c971f9c4
Author: Matthias Kretz <m.kretz@gsi.de>
Date:   Thu May 25 10:45:21 2023

    libstdc++: Resolve -Wsign-compare issue
    
    Signed-off-by: Matthias Kretz <m.kretz@gsi.de>
    
    libstdc++-v3/ChangeLog:
    
            * include/experimental/bits/simd_ppc.h (_S_bit_shift_left):
            Negative __y is UB, so prefer signed compare.
    
    (cherry picked from commit 1a1abec1d618cde709c585fcce89330bb33b07ac)

diff --git a/libstdc++-v3/include/experimental/bits/simd_ppc.h b/libstdc++-v3/include/experimental/bits/simd_ppc.h
index 484814e9a3a..b9a0d3fdffa 100644
--- a/libstdc++-v3/include/experimental/bits/simd_ppc.h
+++ b/libstdc++-v3/include/experimental/bits/simd_ppc.h
@@ -64,7 +64,7 @@ template <typename _Abi, typename>
 	__x = _Base::_S_bit_shift_left(__x, __y);
 	if constexpr (sizeof(_Tp) < sizeof(int))
 	  {
-	    if (__y >= sizeof(_Tp) * __CHAR_BIT__)
+	    if (__y >= int(sizeof(_Tp) * __CHAR_BIT__))
 	      return {};
 	  }
 	return __x;

